Buying Guide

What do I need to run VoicED?

Minimum System Requirements:

  • iPad running iOS 10 or higher

Recommended Systems:

  • iPad Pro 12.9-inch
  • iPad Pro 9.7-inch
  • The iPad Air 2
  • iPad Air
  • iPad 4th generation
  • The iPad Mini 4
  • The iPad Mini 3
  • The iPad Mini 2
  • Or newer devices

Please Note: VoicED is NOT compatible with iPhones or iPods.

Can I try the app before I buy it?

Please feel free to contact us using this form in regards of setting up a demo account. Demo accounts can be setup for large organizations or for home users.